#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EMouseMode {
    Unknown = 0,
    RelativeCursor_OBSOLETE = 1,
    AbsoluteCursor = 2,
    Touch = 3,
    Relative = 4,
}

impl EMouseMode {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Unknown as i32 => Some(Self::Unknown),
            x if x == Self::RelativeCursor_OBSOLETE as i32 => Some(Self::RelativeCursor_OBSOLETE),
            x if x == Self::AbsoluteCursor as i32 => Some(Self::AbsoluteCursor),
            x if x == Self::Touch as i32 => Some(Self::Touch),
            x if x == Self::Relative as i32 => Some(Self::Relative),
            _ => None,
        }
    }
}
